<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getFactionFavorGain](./bitburner.singularity.getfactionfavorgain.md)

## Singularity.getFactionFavorGain() method

Get faction favor gain.

**Signature:**

```typescript
getFactionFavorGain(faction: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  faction | string | Name of faction. |

**Returns:**

number

Amount of favor you will gain for the specified faction when you reset by installing Augmentations.

## Remarks

RAM cost: 0.75 GB \* 16/4/1

This function returns the amount of favor you will gain for the specified faction when you reset by installing Augmentations.

